#!/bin/bash

make

run_test()
{
  mkdir -p mnt
  ./fs mnt -o attr_timeout=0
  sleep 1
  (
    cd mnt
    ../client
  )
  sleep 1
  fusermount -u mnt
}

echo
echo "#### without cpu affinity ####"
echo

run_test

echo
echo "#### with cpu affinity ####"
echo

FS_ONE_CPU=1 run_test

echo
